Subject: Re: Help with building relocatable DLL's
From: [email-masked] (Steve Biskis)

13 May 1998 07:34:16 -0700
Message-ID: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: "Craig Setera" <[email-masked]>
Cc: <[email-masked]>

Yep.

You need to link in the appropriate windoze library where that function is
located.
Since your building relocatable DLL's I won't insult your intelligence by
spoon-feeding
the name of that library to you ;-)

da bisk

----------
> From: Craig Setera <[email-masked]>
> To: [email-masked]
> Subject: Help with building relocatable DLL's
> Date: Tuesday, May 05, 1998 6:06 AM
> 
> I'm attempting to build a relocatable DLL per the instructions on
> Cygnus' web site.  When doing so, I get the following error.  Can
> anyone offer any advice on how to fix this?
> 
> ld --base-file libglib.base --dll -o libglib.dll gutils.o gscanner.o
> gstring.o g
> tree.o gtimer.o gslist.o gprimes.o gmem.o glist.o ghash.o gerror.o
gcache.o
> garr
> ay.o init.o fixup.o
> //c/cygnus/b19/H-i386-cygwin32/i386-cygwin32/lib/libcygwin.a
>  -e _dll_entry@12
>
//c/cygnus/b19/H-i386-cygwin32/i386-cygwin32/lib/libcygwin.a(libccrt0.o)(.te

> xt+0
> x92):libccrt0.cc: undefined reference to `GetModuleHandleA@4'
> 
> 
> Thanks,
> Craig
> 
> 
> 
> Craig Setera
> AS/400 Enterprise Java Development
> IBM Rochester
> [email-masked]
> (507) 253-3387 - Tie: 553-3387
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".